## 在linux中安装node二进制文件

### 下载二进制文件

下载网址 <https://nodejs.org/zh-cn/download/>
备用中文网址 <https://nodejs.cn/download/>

以18.16.1版本为例

```sh
wget https://npmmirror.com/mirrors/node/v18.16.1/node-v18.16.1-linux-x64.tar.xz
```

### 安装

先创建安装目录并解压文件

```sh
sudo mkdir -p /usr/local/lib/nodejs
tar xJvf node-v18.16.1-linux-x64.tar.xz -C /usr/local/lib/nodejs
```

再将node执行目录写入/etc/profile，在`export PATH`的上一行添加：

```
PATH=/usr/local/lib/nodejs/node-v18.16.1-linux-x64/bin:$PATH
```

重新加载profile

```sh
source /etc/profile
```

安装完成！

查看版本

```sh
node -v
npm -v
```
